NSRARCHIVE(8)

NAME
nsrarchive - archive files to long term storage with NetWorker

SYNOPSIS
nsrarchive [ -BinpqvxVy ] [ -b pool ] [ -C clone pool ] [ -f directive filename ] [ -G remove ] [ -N name ] [ -R name ] [ -s server ] [ -T annotation ] [ -W width ] [ path ... ]

DESCRIPTION
nsrarchive archives files, including directories or entire filesystems, to the NetWorker server (see nsr(8)). The progress of an archive can be monitored using the X Window System based nwadmin(8) program or the curses(3X) based nsrwatch(8) program for other terminal types. Use of nsrarchive is restricted to users on the administrator and archive users lists.

If no path arguments are specified, the current directory is archived. nsrarchive archives a directory by archiving all the files and subdirectories it contains, but it does not cross mount points or follow symbolic links.

The directive files (see nsr(5)) encountered in each directory is read by default, The files contain special instructions directing how particular files are to be archived (that is, compressed, skipped, etc.). These files are named '.nsr'.

Each file in the subdirectory structures specified by the path arguments is encapsulated in a NetWorker archive stream. This stream of data is sent to a receiving process (see nsrd(8)) on the NetWorker server. Entries are added to the media database for the archive save set. The data eventually resides on a long term storage medium (see nsrmmd(8)).

Details about handling media are discussed in nsrmm(8) and nsr_device(5).

If the grooming option remove is requested, all files and directories archived are removed. If verification is requested, the files will not be removed if the verification failed. Likewise, the files will not be removed if a requested cloning operation fails. The user is prompted for confirmation before the files are removed unless the -y option is supplied.

If the user does not supply a -T option on the command line, the user is prompted to enter an annotation for the archive.

OPTIONS

-b pool
    Specify a destination pool for the archive save set. This option overrides the automatic pool selection which normally occurs on the server.

-B  Force archive of all connecting directory information from root (``/'') down to the point of invocation. The connecting directory information is always archived even without this option if client file index is generated.

-C clone pool
    Generate a clone of this archive save set to the specified clone pool.

-E  Estimate the amount of data which will be generated by the archive, then perform the actual archive. The estimate is generated from the inode information, and thus the data is only read once.

-f filename
    The file from which to read default directives (see nsr(5)). A filename of - causes the default directives to be read from standard input.

-i  Ignore directive files as they are encountered in the subdirectory structures being archived.

-G remove
    Groom the files after they have been archived. If cloning or verification is requested, no grooming is performed until those operations have completed successfully. The user is prompted for removal of top-level directories unless the y option is supplied. nsrarchive creates a temporary file which contains a list of all files and directories to be removed. The temporary file is placed in /tmp unless the environment variable TMPDIR is set.

-n  No archive. Estimate the amount of data which will be generated by the archive, but do not perform the actual archive.

-N name
    The symbolic name of this archive save set. By default, the first path argument is used as the name.

-v  Verbose. Cause the nsrarchive program to tell you in great detail what it is doing as it proceeds.

-p  Exit with status 0. Used by server to determine if client installed properly.

-q  Quiet. Display only summary information and error messages.

-R name
    This option should only be used by the nsralist program, which handles executing archive requests. Updates to the named archive request resource occur when this option is specified.

-s server
    Specify which machine to use as the NetWorker server.

-T annotation
    Archive save sets can be annotated with arbitrary text. This option specifies an annotation for the archive save set being generated.

-V  Verify the archive save set after it completes.

-W width
    The width used when formatting summary information output.

-x  Cross mount points.

-y  Answer yes to any questions.

SEE ALSO
curses(3X), nsr_getdate(3), nsr(5), nsr(8), nsr_service(5), nsr_device(5), nsrmm(8), nsrmmd(8), nsrd(8), nsrwatch(8), nsrretrieve(8), nwadmin(8).

DIAGNOSTICS

  Exit Codes
0   Normal exit.
Non-zero
    Abnormal exit.